$(function () {
    function ValidTemp() {
        var DownloadName = $("#DownloadName"),
        FileUrl = $("#FileUrl"),
        allFields = $([])
        .add(DownloadName).add(FileUrl)
        ;
        var bValid = true;
        allFields.removeClass("ui-state-error");
        bValid = bValid && checkLength(DownloadName, "下载名称", 1, 50);
        bValid = bValid && checkLength(FileUrl, "网站地址", 1, 255);
        return bValid;
    };
    $("form").submit(function () {
        if (!ValidTemp()) {
            $(this).find("button[type=submit]").removeClass("loading").removeAttr("disabled");
            return false;
        }
    });

    var DefaultColor = $('#TitleColor').val();
    if (DefaultColor == '') {
        DefaultColor = 'black';
        $('#TitleColor').val(DefaultColor);
    }
    $('#TitleColor').css('backgroundColor', DefaultColor);
    $('#TitleColor').ColorPicker({
        color: $('#TitleColor').val(),
        onShow: function (colpkr) {
            $(colpkr).fadeIn(500);
            return false;
        },
        onHide: function (colpkr) {
            $(colpkr).fadeOut(500);
            return false;
        },
        onChange: function (hsb, hex, rgb) {
            $('#TitleColor').css('backgroundColor', '#' + hex);
            $('#TitleColor').val('#' + hex);
        }
    });
});